import { getToken as r, getProjectInfo as c, getPersonalInfo as s, getTenantInfo as i } from "@das-fed/utils/common-info";
const k = () => new Promise((n) => {
  const e = () => {
    const t = r();
    if (t) return n(t);
    setTimeout(() => e(), 50);
  };
  e();
}), m = () => new Promise((n) => {
  const e = () => {
    const t = c().id ? c().id : "";
    if (t) return n(t);
    setTimeout(() => e(), 50);
  };
  e();
}), T = () => new Promise((n) => {
  const e = () => {
    const t = r(), o = c().id ? c().id : "";
    if (t && o) return n(!0);
    setTimeout(() => e(), 50);
  };
  e();
}), f = () => new Promise((n) => {
  const e = () => {
    const t = s();
    if (t != null && t.id) return n(t);
    setTimeout(() => e(), 50);
  };
  e();
}), d = () => new Promise((n) => {
  const e = () => {
    var o;
    const t = i();
    if ((o = t == null ? void 0 : t.tenant) != null && o.id) return n(t);
    setTimeout(() => e(), 50);
  };
  e();
});
export {
  m as projectNextTick,
  d as tenantInfoNextTick,
  T as tokenNextTick,
  k as tokenNextTick_1,
  f as userInfoNextTick
};
